Bug 19370 - Why not run slapd as non root user ?
Why not run slapd as non root user ?
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openldap (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-19 04:44 EDT by Jarno Huuskonen
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-20 16:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarno Huuskonen 2000-10-19 04:44:26 EDT
Hi,

Openldap-2.0.x allows the slapd daemon to run as a non-root user. IMHO this
is a good idea and it doesn't need major changes to get it working.
Spec file should create a useraccount for slapd and ldap.init should start
slapd with this account (this user also needs read access to slapd.conf and
write access to /var/lib/ldap).

-Jarno
Comment 1 Nalin Dahyabhai 2001-01-12 16:40:30 EST
Fixed this in Raw Hide a while back, but forgot to close the bug out.  The slapd
server now runs as user ldap, group ldap.

Note You need to log in before you can comment on or make changes to this bug.